/************************************************
* Zeus CMD - OpenGL ES Tutorial 5 : Mouse Input *
* By Grant James (ZEUS)                         *
* http://www.zeuscmd.com                        *
************************************************/
#pragma comment(lib, "libGLES_CM.lib")
#pragma comment(lib, "ug.lib")

#include "ug.h"

void init()
{
	
}

void display(UGWindow uwin)
{

}

void keyboard(UGWindow uwin, int key, int x, int y)
{
	switch(key)
	{
	case 'q' : exit(0); break;
	case UG_KEY_UP : exit(0); break;
	}
}

void pointer(UGWindow uwin, int button, int state, int x, int y)
{
	exit(0);
}

int main()
{
	UGCtx ug = ugInit();

	UGWindow uwin = ugCreateWindow(ug, "", "05 - Mouse Input", 250, 250, 100, 100);

	init();

	ugDisplayFunc(uwin, display);
	ugKeyboardFunc(uwin, keyboard);
	ugPointerFunc(uwin, pointer);

	ugMainLoop(ug);

	return 0;
}
